v5.28.0 - mmctl is broken

Description

Also a community report here: https://github.com/mattermost/mattermost-server/issues/15979

Summary
Binary mmctl from https://releases.mattermost.com/5.28.0/mattermost-team-5.28.0-linux-amd64.tar.gz is linked against the libc.musl-x86_64.so.1

Steps to reproduce
ldd mmctl
linux-vdso.so.1 (0x00007ffcffd1c000)
libc.musl-x86_64.so.1 => not found

Expected behavior
ldd mmctl
linux-vdso.so.1 (0x00007ffe50cf7000)
libpthread.so.0 => /lib/x86_64-linux-gnu/libpthread.so.0 (0x00007f647dd9c000)
libc.so.6 => /lib/x86_64-linux-gnu/libc.so.6 (0x00007f647d9fd000)
/lib64/ld-linux-x86-64.so.2 (0x00007f647dfb9000)

Possible fixes
This compilation was a mistake (binary for Alpine)

QA Test Steps

See description. mmctl on v5.28 should work.

Activity

Show:
Lindy Isherwood
October 16, 2020, 7:17 PM

Miguel tested and confirmed that the binary included in both team and enterprise releases is built correctly and from the right version tag. Closing.

Done

Mana

None

Assignee

Elisabeth Kulzer

QA Assignee

Lindy Isherwood

Reporter

Amy Blais

Epic Link

None

Fix versions

Mattermost Team

None

Sprint

None

Labels

QA Testing Areas

CLI

GitHub Issue

None

Components

None

Severity

None
Configure